<?php
	include ('include/config.php');
	include ('include/admin_check.php');
	include ('include/functions.php');

	$id = $_GET["id"] ;
	
	if (!is_numeric($id)) {
		header("Location: ../fomenu.php") ;
		exit ;			
	}
	
	$query = "select * from users where id = '$id'" ;
	$result = lekerdez($query) ;
	if (mysqli_num_rows($result) > 0) {
		$adatok = mysqli_fetch_assoc($result) ;
		mysqli_free_result($result) ;
	}

	$query = "select * from hirlevel_csoportok order by nev" ;
	$result = lekerdez($query) ;
	$csoportok = array() ;
	if (mysqli_num_rows($result) > 0) {
		while ($sor = mysqli_fetch_assoc($result)) {
			$csoportok[] = $sor ;
		}	
	}	
	
	$hibasak = $_SESSION["hibas_adatok"] ;
	unset($_SESSION["hibas_adatok"]) ;
	if ($hibasak == null) {
		$hibasak = array() ;	
	}
?>
<!DOCTYPE html>

<html lang="hu">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Regisztrált módosítása</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">


  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Regisztrált módosítása</h1>

          </div>
<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>		
        </div><!-- /.row -->





        <div class="row">

          <div class="col-lg-12">

            <form role="form" name="edit_newsletter_user_form" action="formok/newsletter-user-edit.php" method="post" enctype="multipart/form-data">

				<input type="hidden" name="id" value="<?php echo $id;?>">


              <div class="row">
              	<div class="col-lg-6">
                <div class="form-group <?php if (in_array("vezeteknev", $hibasak)) echo ' has-error';?>">

                <label>Vezetéknév</label>

                <input type="text" name="vezeteknev" class="form-control" value="<?php echo $adatok["vezeteknev"];?>">
                <p class="help-block">A felhasználó vezetéknevét adja meg itt (pl. Gipsz).</p>

              </div>
                </div>
              </div>
              
              <div class="row">
              	<div class="col-lg-6">
                <div class="form-group <?php if (in_array("keresztnev", $hibasak)) echo ' has-error';?>">

                <label>Keresztnév</label>

                <input type="text" name="keresztnev" class="form-control" value="<?php echo $adatok["keresztnev"];?>">
                <p class="help-block">A felhasználó keresztnevét adja meg itt (pl. Jakab).</p>

              </div>
                </div>
              </div>

              <div class="row">
              	<div class="col-lg-6">
                <div class="form-group <?php if (in_array("cegnev", $hibasak)) echo ' has-error';?>">

                <label>Cégnév</label>

                <input type="text" name="cegnev" class="form-control" value="<?php echo $adatok["cegnev"];?>">
                <p class="help-block">A felhasználó cégnevét adja meg itt (pl. Akármilyen Kft.).</p>

              </div>
                </div>
              </div>
              

              <div class="row">
              	<div class="col-lg-6">
                <div class="form-group <?php if (in_array("email", $hibasak)) echo ' has-error';?>">

                <label>E-mail cím</label>

                <input type="text" name="email" class="form-control" value="<?php echo $adatok["email"];?>">

                <p class="help-block">A felhasználó e-mail címe</p>

              </div>
                </div>
              </div>
              

              <div class="row">
              	<div class="col-lg-6">
              <div class="form-group">

                <label>Hírlevelet kér</label>

                <input type="checkbox" name="hirlevel" value="1" <?php if ($adatok["hirlevel"] == 1) echo "checked";?>>
                <p class="help-block">Itt tudja beállítani, hogy a felhasználó kér-e hírlevelet.</p>

              </div> 
                </div>
              </div>

              <button type="submit" class="btn btn-success"><span class="glyphicon glyphicon-ok"> Mentés</span></button>
			&nbsp;&nbsp;
              <button type="button" class="btn btn-sm btn-danger" onClick="javascript: torol('<?php echo $id;?>');">
              	<span class="glyphicon glyphicon-remove-sign">Felhasználó törlése</span> 
              </button>

                       

          </form>                      

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->



    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>
    <script src="js/bootstrap.js"></script>

	<script>
		$(document).ready(function() {
			$("#nav-newsletters").addClass("open") ;
		}) ;
		
		function torol(id) {
				if (confirm("Biztos benne?"))
			  {
					 document.location.href="formok/newsletter-user-delete.php?id="+id;
			  }
		}		
	</script>



    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->

    <script src="js/tablesorter/jquery.tablesorter.js"></script>

    <script src="js/tablesorter/tables.js"></script>



  </body>

</html>

